#include "scene_graph.h"

SceneGraph& SceneGraph::operator<<(int v) 
{
	output(v);
	return *this;
}

SceneGraph& SceneGraph::operator<<(size_t v) 
{
	output(int(v));
	return *this;
}

SceneGraph& SceneGraph::operator<<(unsigned int v) 
{
	output(int(v));
	return *this;
}


SceneGraph& SceneGraph::operator<<(float v) {
	output(v);
	return *this;
}

SceneGraph& SceneGraph::operator<<(double v) {
	output(v);
	return *this;
}


SceneGraph& SceneGraph::operator<<(const char* x) {
	output(std::string(x));
	return *this;
} 

SceneGraph& SceneGraph::operator<<(const std::string& x) {
	output(x);
	return *this;
} 
